Upstream information

CVE-2020-25652 at MITRE

Description

A flaw was found in the spice-vdagentd daemon, where it did not properly handle client connections that can be established via the UNIX domain socket in `/run/spice-vdagentd/spice-vdagent-sock`. Any unprivileged local guest user could use this flaw to prevent legitimate agents from connecting to the spice-vdagentd daemon, resulting in a denial of service. The highest threat from this vulnerability is to system availability. This flaw affects spice-vdagent versions 0.20 and prior.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.9
Vector AV:L/AC:L/Au:N/C:N/I:N/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 5.5
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1177782 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Desktop Applications 15 SP2
  • spice-vdagent >= 0.19.0-3.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP2-2020-3268
openSUSE Leap 15.2
  • spice-vdagent >= 0.19.0-lp152.2.3.1
  • spice-vdagent-debuginfo >= 0.19.0-lp152.2.3.1
  • spice-vdagent-debugsource >= 0.19.0-lp152.2.3.1
Patchnames:
openSUSE-2020-1898


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 spice-vdagent Affected
SUSE Enterprise Storage 5 spice-vdagent Affected
SUSE Linux Enterprise 15-SP1 Module for Desktop Applications spice-vdagent Affected
SUSE Linux Enterprise 15-SP2 Module for Desktop Applications spice-vdagent Released
SUSE Linux Enterprise High Performance Computing 12 SP5 spice-vdagent Affected
SUSE Linux Enterprise Point of Service Image Server 12 spice-vdagent Affected
SUSE Linux Enterprise Server 12 SP2 BCL spice-vdagent Affected
SUSE Linux Enterprise Server 12 SP2 ESPOS spice-vdagent Affected
SUSE Linux Enterprise Server 12 SP2 LTSS spice-vdagent Affected
SUSE Linux Enterprise Server 12 SP3 BCL spice-vdagent Affected
SUSE Linux Enterprise Server 12 SP3 ESPOS spice-vdagent Affected
SUSE Linux Enterprise Server 12 SP3 LTSS spice-vdagent Affected
SUSE Linux Enterprise Server 12 SP4 ESPOS spice-vdagent Affected
SUSE Linux Enterprise Server 12 SP4 LTSS spice-vdagent Affected
SUSE Linux Enterprise Server 12 SP5 spice-vdagent Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 spice-vdagent Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 spice-vdagent Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 spice-vdagent Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 spice-vdagent Affected
SUSE OpenStack Cloud 7 spice-vdagent Affected
SUSE OpenStack Cloud 8 spice-vdagent Affected
SUSE OpenStack Cloud 9 spice-vdagent Affected
SUSE OpenStack Cloud Crowbar 8 spice-vdagent Affected
SUSE OpenStack Cloud Crowbar 9 spice-vdagent Affected